Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
rmd160init.c File Reference
`#include "digest.h"`
`#include "rmd160.h"`
Include dependency graph for rmd160init.c:

Go to the source code of this file.

## Functions
void | Init_rmd160 ()

## Variables
static const rb_digest_metadata_t | rmd160

## Function Documentation

void Init_rmd160 | ( |  | ) |

Definition at line 27 of file rmd160init.c.

References Data_Wrap_Struct(), rb_cObject, rb_define_class_under(), rb_define_module(), rb_intern, rb_ivar_set(), rb_path2class(), and rb_require().

## Variable Documentation

const rb_digest_metadata_t rmd160
| static

Initial value:
= {
RUBY_DIGEST_API_VERSION,
RMD160_DIGEST_LENGTH,
RMD160_BLOCK_LENGTH,
sizeof(RMD160_CTX),
(rb_digest_hash_init_func_t)RMD160_Init,
(rb_digest_hash_update_func_t)RMD160_Update,
(rb_digest_hash_finish_func_t)RMD160_Finish,
}
RMD160_DIGEST_LENGTH
#define RMD160_DIGEST_LENGTH
Definition: rmd160.h:53
RUBY_DIGEST_API_VERSION
#define RUBY_DIGEST_API_VERSION
Definition: digest.h:18
RMD160_Finish
void RMD160_Finish(RMD160_CTX *context, uint8_t digest[20])
Definition: rmd160.c:416
rb_digest_hash_finish_func_t
void(* rb_digest_hash_finish_func_t)(void *, unsigned char *)
Definition: digest.h:22
rb_digest_hash_update_func_t
void(* rb_digest_hash_update_func_t)(void *, unsigned char *, size_t)
Definition: digest.h:21
RMD160_CTX
#define RMD160_CTX
Definition: rmd160ossl.h:9
RMD160_Update
void RMD160_Update(RMD160_CTX *context, const uint8_t *data, size_t nbytes)
Definition: rmd160.c:352
RMD160_Init
void RMD160_Init(RMD160_CTX *context)
Definition: rmd160.c:128
rb_digest_hash_init_func_t
void(* rb_digest_hash_init_func_t)(void *)
Definition: digest.h:20
RMD160_BLOCK_LENGTH
#define RMD160_BLOCK_LENGTH
Definition: rmd160.h:52

Definition at line 11 of file rmd160init.c.